org.springframework.cloud.dataflow.rest.resource

## Class AppStatusResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<AppStatusResource>
  - - org.springframework.cloud.dataflow.rest.resource.AppStatusResource

-     public class AppStatusResource
      extends org.springframework.hateoas.RepresentationModel<AppStatusResource>

  REST representation of an app status.
  Author:
    Eric Bottard, Mark Fisher

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppStatusResource.Page`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NO_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppStatusResource(String deploymentId, String state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeploymentId()`
    `org.springframework.hateoas.CollectionModel<AppInstanceStatusResource>` | `getInstances()`
    `String` | `getName()`
    `String` | `getState()`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setInstances(org.springframework.hateoas.CollectionModel<AppInstanceStatusResource> instances)`
    `void` | `setState(String state)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_INSTANCES

          public static final String NO_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppStatusResource

          public AppStatusResource(String deploymentId,
                                   String state)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getInstances

          public org.springframework.hateoas.CollectionModel<AppInstanceStatusResource> getInstances()

    - #### setInstances

          public void setInstances(org.springframework.hateoas.CollectionModel<AppInstanceStatusResource> instances)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.